// TableMakerDlg.h : header file
//

#if !defined(AFX_TABLEMAKERDLG_H__F3FE3242_DDEF_4715_8B30_4703F90E3F68__INCLUDED_)
#define AFX_TABLEMAKERDLG_H__F3FE3242_DDEF_4715_8B30_4703F90E3F68__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// CTableMakerDlg dialog

class CTableMakerDlg : public CDialog
{
// Construction
public:
	CTableMakerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTableMakerDlg)
	enum { IDD = IDD_TABLEMAKER_DIALOG };
	CEdit	m_HelpEditCtrl;
	CString	m_DestPathStr;
	int		m_TableSelected;
	CString	m_HelpTextString;
	int		m_HelpEditSelect;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTableMakerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTableMakerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnGenbutton();
	afx_msg void OnSelfilebutton();
	afx_msg void OnClose();
	afx_msg void OnHelpradio0();
	afx_msg void OnHelpradio1();
	afx_msg void OnSelfilebutton2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	BOOL ReadRegistrySettings();
	BOOL WriteRegistrySettings();
	void MakeTable0();
	void MakeTable1();
	void MakeBMPTable();
	CString m_DestFilePath;
	CString m_BMPFilePath;
	CString	m_Help0Text;
	CString	m_Help1Text;
	__int32 m_Buf[1024];
	CString m_Str;
	unsigned char* m_pBuf;
	BITMAPINFOHEADER m_BMPinfo;
	BITMAPFILEHEADER m_BMPfile;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABLEMAKERDLG_H__F3FE3242_DDEF_4715_8B30_4703F90E3F68__INCLUDED_)
